LocationAwareLogger (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.spi
Interface LocationAwareLogger

All Superinterfaces:
  Logger

All Known Implementing Classes:
  JDK14LoggerAdapter, Log4jLoggerAdapter

    public interface LocationAwareLogger

extends Logger

An optional interface helping integration with logging systems capable of extracting location information. This interface is mainly used by SLF4J bridges such as jcl-over-slf4j, jul-to-slf4j and log4j-over-slf4j or `Logger` wrappers which need to provide hints so that the underlying logging system can extract the correct location information (method name, line number).

Since:
  1.3
Author:
  Ceki Gulcu

Field Summary
`static int` | `DEBUG_INT`
`static int` | `ERROR_INT`
`static int` | `INFO_INT`
`static int` | `TRACE_INT`
`static int` | `WARN_INT`

Fields inherited from interface org.slf4j.Logger
`ROOT_LOGGER_NAME`

Method Summary
`void` | `log(Marker marker, String fqcn, int level, String message, Object[] argArray, Throwable t)` Printing method with support for location information.

Methods inherited from interface org.slf4j.Logger
`debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, error, error, error, error, error, error, error, error, error, error, getName, info, info, info, info, info, info, info, info, info, info, isDebugEnabled, isDebugEnabled, isErrorEnabled, isErrorEnabled, isInfoEnabled, isInfoEnabled, isTraceEnabled, isTraceEnabled, isWarnEnabled, isWarnEnabled, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn`

Field Detail

### TRACE_INT

    static final int TRACE_INT

See Also:
  Constant Field Values

### DEBUG_INT

    static final int DEBUG_INT

See Also:
  Constant Field Values

### INFO_INT

    static final int INFO_INT

See Also:
  Constant Field Values

### WARN_INT

    static final int WARN_INT

See Also:
  Constant Field Values

### ERROR_INT

    static final int ERROR_INT

See Also:
  Constant Field Values

Method Detail

### log

    void log(Marker marker,
             String fqcn,
             int level,
             String message,
             Object[] argArray,
             Throwable t)

  Printing method with support for location information.

  Parameters:
    `marker` - The marker to be used for this event, may be null.
    `fqcn` - The fully qualified class name of the logger instance, typically the logger class, logger bridge or a logger wrapper.
    `level` - One of the level integers defined in this interface
    `message` - The message for the log event
    `t` - Throwable associated with the log event, may be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.